[Testing Update] 2018-04-24 - Linux417, Cinnamon, i3, Python

update
testing

#1

Hi community,

welcome to another testing update of Manjaro. We added again the latest available features:

  • We worked on Cinnamon
  • Updated some of our i3 settings
  • Had some needed rebuilds
  • Added kernel v4.17-rc2
  • Plus the usual Python upstream packages

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.56
  • linux318 3.18.105 [EOL]
  • linux41 4.1.51
  • linux44 4.4.128
  • linux49 4.9.95
  • linux414 4.14.35
  • linux415 4.15.18 [EOL]
  • linux416 4.16.3
  • linux417 4.17-rc2
  • linux-rt 4.14.34_rt27

Package Updates (Tue Apr 24 07:58:41 CEST 2018)

  • testing extra x86_64: 7 new and 7 removed package(s)
  • testing community x86_64: 61 new and 57 removed package(s)

Package Overlay Updates

  • testing core x86_64: 2 new and 2 removed package(s)
  • testing community x86_64: 7 new and 6 removed pa


:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-04-23           2018-04-24
-------------------------------------------------------------------------------
                          artwork-i3           20180123-1           20180423-1
                  i3-default-artwork           20180109-1           20180423-1
                 manjaro-i3-settings           20180415-2           20180423-1
             manjaro-i3-settings-dev           20180418-1           20180423-1
              manjaro-openbox-common              1.1.2-1              1.1.3-1
                                 pix              1.6.2-11.6.2+master.mint19-1
                manjaro-openbox-base                    -                1.0-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-04-23           2018-04-24
-------------------------------------------------------------------------------
                             aws-cli             1.15.4-1             1.15.6-1
                             blender          17:2.79.b-5          17:2.79.b-7
                         broadcom-wl       6.30.223.271-9      6.30.223.271-10
                    cinnamon-session              3.8.0-1              3.8.1-1
                        d-containers       0.8.0alpha.5-1       0.8.0alpha.6-1
                                 fio                3.5-1                3.6-1
                              gitlab             10.7.0-2             10.7.0-3
                       gitlab-gitaly             0.97.0-1             0.97.0-2
                       gitlab-runner             10.6.0-1             10.7.0-2
                        gitlab-shell            2:7.1.2-1            2:7.1.2-2
                    gitlab-workhorse              4.1.0-1              4.1.0-2
                         go-ethereum              1.8.4-1              1.8.6-1
                               jruby           9.1.16.0-1           9.1.17.0-1
    kde-development-environment-meta           20170718-2           20180423-1
                                 kea              1.3.0-7              1.3.0-9
                      kea-devel-docs              1.3.0-2              1.3.0-3
                              kotlin             1.2.31-1             1.2.40-1
                              kstars            1:2.9.4-3            1:2.9.4-4
                          latte-dock              0.7.4-1              0.7.5-1
                             libindi              1.7.1-2              1.7.2-1
                  libpackagekit-glib              1.1.9-1             1.1.10-1
                     libsigrokdecode              0.5.0-1              0.5.1-1
                           log4cplus              1.2.1-1              2.0.0-1
                      matrix-synapse             0.27.3-1             0.27.4-1
                              midori             0.5.11-6             0.5.11-7
                               minio         2018.01.02-1         2018.04.19-2
                          packagekit              1.1.9-1             1.1.10-1
                            parallel           20180322-1           20180422-1
                              parity              1.9.6-1              1.9.7-1
                                 psi                1.3-4                1.3-5
                        psi-nowebkit                1.3-4                    -
                         psi-plugins                1.3-3                1.3-4
                        python-boto3              1.7.4-1              1.7.6-1
                     python-botocore             1.10.4-1             1.10.6-1
                      python-cheroot              6.2.3-1              6.2.4-1
                     python-cherrypy             14.0.1-1             14.2.0-1
                        python-gmpy2            2.1.0a2-1            2.1.0a2-2
                 python-html5-parser              0.4.4-1              0.4.5-1
                python-pycryptodomex              3.6.0-1              3.6.1-1
                       python-sphinx              1.7.2-1              1.7.3-1
                       python2-boto3              1.7.4-1              1.7.6-1
                    python2-botocore             1.10.4-1             1.10.6-1
                     python2-cheroot              6.2.3-1              6.2.4-1
                    python2-cherrypy             14.0.1-1             14.2.0-1
                       python2-gmpy2            2.1.0a2-1            2.1.0a2-2
                python2-html5-parser              0.4.4-1              0.4.5-1
                         python2-pam              0.1.4-3              1.8.3-1
               python2-pycryptodomex              3.6.0-1              3.6.1-1
             python2-pygame-sdl2 1:2.1.0.r328.ce2578c-1 1:2.1.0.r347.795941a-1
                      python2-sphinx              1.7.2-1              1.7.3-1
                                qgis              3.0.1-2              3.0.2-1
                            radicale              2.1.8-5              2.1.9-1
                            singular           4.1.1.p1-2           4.1.1.p2-1
                           transcode             1.1.7-24             1.1.7-25
                             vagrant              2.0.3-1              2.0.4-1
                               wxcam               1.1-10                    -
                     yubikey-manager              0.6.1-1              0.6.1-2
                                 din                    -                 33-2
                     psi-nowebengine                    -                1.3-5
                        python-fido2                    -              0.3.0-7
                          python-pam                    -              1.8.3-1
                            quiterss                    -            0.18.10-2
                               vocal                    -              2.2.0-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-04-23           2018-04-24
-------------------------------------------------------------------------------
                        linux417 4.17.r180421.5e7c780-1 4.17.r180422.6d08b06-1
                linux417-headers 4.17.r180421.5e7c780-1 4.17.r180422.6d08b06-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-04-23           2018-04-24
-------------------------------------------------------------------------------
                               meson             0.45.1-1             0.46.0-1
                              okteta            17.12.3-1            17.12.3-2
                             psiconv              0.9.9-5              0.9.9-6
                     qt5-declarative             5.10.1-3             5.10.1-4
                                   r              3.4.4-2              3.5.0-1
                                 srt              1.3.0-1              1.3.0-2
                               sushi             3.28.2-1             3.28.3-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


#2

This is a wiki post; please edit as necessary.


Nautilus - Middle click on any location in other-locations:/// closes tab



#3

Cinnamon’s localisation works fine.


#4

Cinnamon has been in the gym recently. She’s looking hot.


#5

switched my desktop to testing. Kernel 4.17 seemingly resolves the FIS error I’ve been encountering with my Crucial MX500 SSD. I tried the build on the stable branch for a few days but decided to make the change to testing instead for now. If I need to run an experimental kernel, I’d rather have the newer version of it.

EDIT - not completely resolved but far less frequent


#6

Only problem is the persisting of this message for nemo and other file managers. I have brought it up to github cinnamon development but I don’t know if they can even replicate their side.

Apr 24 19:41:46 xmg gvfs-goa-volume[1103]: monitor says it's not supported
Apr 24 19:41:46 xmg gvfsd-metadata[1190]: g_udev_device_has_property: assertion 'G_UDEV_IS_DEVICE (device)' failed

#7

I know 4.17 is still a release candidate, but I may as well report this. When starting after hibernating the desktop (in my case i3) is showing up a very short time and then the X server is restarting. No such behaviour with 4.14 and 4.16.


#8

vertex-maia-themes updated (I know it’s not the default anymore but I’m sure there’s still some people using it like me) and some parts like the Xfce whisker menu have dark colors again but the desktop icon text align bug remains. I decided to move on to arc-themes-maia (arc-maia-dark specifically) and it looks amazing!

Thanks. :slightly_smiling_face:


#9

Well 4.17 still has the habit that - after waking up from suspend to ram - it falls asleap right away after a brief flicker of the screen - than pressing the power button - it wakes up properly to a working system.

4.16 won’t suspend to ram on my T450s still


#10

We just added some more kernel updates plus updated cinnamon to v3.8. Please test especially Cinnamon, so we know if we have to revert some stuff.


#11

Hi Phil – I updated while in Cinnamon and rebooted – and Cinnamon crashes after logging in. I tried restarting it several times but it continues to crash.

EDIT: It could be that my repository is not fully populated – I just changed to a different one and suddernly there are updated kernels that weren’t there before. There may be more Cinnamon stuff that I need to install – so I’ll get back to you in a bit.


#12

Yeah, let me know if we have to revert it back to the v3.6 version.


#13

Seems I’ve got a few kernels installed at the moment. :grin: Pacman warns:

warning: cannot resolve "nvidia-utils=1:396.18", a dependency of "linux414-nvidia"
warning: cannot resolve "nvidia-utils=1:396.18", a dependency of "linux416-nvidia"
warning: cannot resolve "nvidia-utils=1:396.18", a dependency of "linux49-nvidia"
:: The following packages cannot be upgraded due to unresolvable dependencies:
      linux414-nvidia  linux416-nvidia  linux49-nvidia

Downloading now, will update post once result is known.


#14

right. shoot. I’ve to do some magic in that regard. - should be fixed now …


#15

I switched to the Danish testing repo, which shows as updated, and installed three kernels and a couple other packages – and after re-booting, Cinnamon loaded just fine. I’ll do some work while using Cinnamon and see if anything else comes up – otherwise, my first post seems to have been a false alarm.

inxi -F
System:    Host: manjaro-cinnamon-laptop Kernel: 4.14.36-1-MANJARO x86_64 bits: 64 Desktop: Cinnamon 3.8.0 
           Distro: Manjaro Linux 17.1.8 Hakoila 
Machine:   Type: Laptop System: Acer product: Aspire E5-551 v: V1.08 serial: N/A 
           Mobo: Acer model: EA50_KV v: V1.08 serial: N/A UEFI: Insyde v: V1.08 date: 08/22/2014 
Battery:   ID-1: BAT1 charge: 50.0 Wh condition: 50.0/55.9 Wh (89%) 
CPU:       Topology: Quad Core model: AMD A10-7300 Radeon R6 10 Compute Cores 4C+6G bits: 64 type: MCP 
           L2 cache: 2048 KiB 
           Speed: 1095 MHz min/max: 1100/1900 MHz Core speeds (MHz): 1: 1097 2: 1094 3: 1097 4: 1094 
Graphics:  Card-1: Advanced Micro Devices [AMD/ATI] Kaveri [Radeon R6 Graphics] driver: radeon v: kernel 
           Display: x11 server: X.Org 1.19.6 driver: ati,radeon unloaded: fbdev,modesetting,vesa 
           resolution: 1366x768~60Hz 
           OpenGL: renderer: AMD KAVERI (DRM 2.50.0 / 4.14.36-1-MANJARO LLVM 6.0.0) v: 4.5 Mesa 18.0.1

#16

Not a problem. Funnily enough although 4.14 and 4.16 won’t boot, kernel 4.9 does, although complaining Failed to find module 'vhba' And system functions. :upside_down_face:


#17

No it wasn’t. Bernhard found out that the new version didn’t work out. Therefore I tried to fix it :wink:

Hmm, this would be then bad. I’ve to see if it works on my end. Normally my plan was to do a stable release of the next update-pack soon …


#18

I guess your new-improved version works on my machine, then – so thank you!

EDIT: One last observation. I have two Cinnamon installs, and both are now updated with the latest testing packages. Booting into both systems, Cinnamon crashes – but now, instead of going into a crash-loop, it loads on the second try in both cases.


#19

All good now. :yum:


#20

I haven’t noticed since now but gvfs-goa-1.36.1-1-x86_64.pkg.tar.xz and friends is borked, cannot connect to google drive. Reverting to version from 25 March solved issue.